Description

The creation of the lucene indexes can not be triggered from Jenkins jobs or from the dataportal settings pages, since the /manage/
web services requires authentication.

The best solution to this problem is to allow the definition of global management user accounts which apply to any cdm-remote
instance started by a system user.

These users credentials must therefore not be stored in the cdm databases. To store them independently from the cdm instances a
configuration file located in SHOME/.cdmLibrary is the preferred storage solution.

Old issue description:

The authorization problem in the dataportal will be solved as soon as the oauth2 client capabilities are implemented into the data
portal module: #6332. In case of jenkins it is not possible to provide proper cdm user credentials for each of the instances to be
indexed. In this case another grand type is needed.

For this service endpoint it must me possible to authorite via the OAuth2 grant type 'client’
https://tools.ietf.org/html/rfc6749#section-4.4).

TODO:

)

enable grant type ‘client' for /manage/

check for valid clients based on a key. The allowed keys are stored in $USER_HOME/cdm-remote-client-keys™ each in a
separate line. A key must conform to a md5 hash (or UUID?).

e provide script for jenkins to authenticate --> subticket

implement client authentication into the dataportal. This should be doable by making use of the OAuth2 plugin available for
Drupal7, see #6118 --> subticket

Related issues:

Related to EDIT - task #6118: evaluate spring-security-auth2 and spring-cloud... Closed
Related to EDIT - bug #7087: description/accumulateDistributions webservice c... Worksforme
Precedes (10 days) EDIT - bug #6382: option to supply user credentials in the... Closed
Copied from EDIT - feature request #6351: jenkins cdmserver-index-job.groovy ... Closed

Associated revisions

Revision d7¢9d360 - 12/06/2016 03:21 PM - Andreas Kohlbecker

ref #6248 disabling authorization restriction on /manage/ as temp workaround

Revision c05f3fc5 - 01/17/2017 11:25 AM - Andreas Kohlbecker

fix #6248 implementing global management users for machine clients

Revision 1b7ce0af - 01/17/2017 04:49 PM - Andreas Kohlbecker

ref #6248 also protecting /**description/accumulateDistributions

History

#1 - 12/06/2016 03:23 PM - Andreas Kohlbecker

- Related to task #6118: evaluate spring-security-auth2 and spring-cloud-security as a framework for OAuth2 added

#2 - 12/19/2016 04:20 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#3 - 01/16/2017 11:17 AM - Andreas Kohlbecker
- Description updated

#4 - 01/17/2017 11:09 AM - Andreas Kohlbecker

- Subject changed from allow OAuth2 grant type 'client’ for /manage/ web services to allow machine clients to access /manage/* OAuth2 protected
web services

- Description updated

oauth2 with grant type 'client' is not really needed. It would require that the client can authenticate with username and login in order to get a token
from the oauth2 token service. But ability to login alone would be sufficient to solve the initial issue of this ticket.

| am changing the ticket subject and description accordingly.

#5 - 01/17/2017 11:25 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|c05{3fc567c3839ded9d89c6c0f81834fe11e1d2.

#6 - 01/19/2017 05:29 PM - Andreas Kohlbecker

- Copied from feature request #6351: jenkins cdmserver-index-job.groovy supports http basic authentication added

#7 - 01/19/2017 05:30 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

This perfectly works, the managing-users.properties are all edited so that they have an according user.

#8 - 01/20/2017 02:23 PM - Andreas Miiller

- Tracker changed from bug to feature request

#9 - 01/20/2017 03:27 PM - Andreas Kohlbecker

- Tracker changed from feature request to bug

#10 - 01/24/2017 03:46 PM - Andreas Kohlbecker

- Precedes bug #6382: option to supply user credentials in the admin setting for the freetext index triggers added

#11 - 11/23/2017 11:26 AM - Andreas Kohlbecker

- Related to bug #7087: description/accumulateDistributions webservice can not be triggered added

#12 - 03/03/2021 05:57 PM - Andreas Kohlbecker

- Tags changed from security to security, OAuth2
